/*  ==========================================================================
    // Progress
    //
    // .progress-bar--positive - positive
    // .progress-bar--calm - calm
    // .progress-bar--balanced - balanced
    // .progress-bar--energized - energized
    // .progress-bar--assertive - assertive
    // .progress-bar--royal - royal
    //
    // Markup: forms-progress.html
    //
    // Style guide: Modules.Progress
    //
    ========================================================================== */

    /*  ==========================================================================
    Module: FORMS - PROGRESS BAR
    ========================================================================== */

    .progress
    {
        height: 6px;
        margin-bottom: 10px;
        overflow: hidden;
        
        background-color: $gray-20;
        box-shadow: inset 0 1px 2px rgba($black,.1);
    }

    .progress-bar
    {
        width: 0;
        height: 100%;
        float: left;

        font-size: 1.2;
        line-height: 2;
        color: $white;
        text-align: center;
        background-color: $gray-20;
        transition: width .6s ease;

        &.progress-bar--light
        {
            background-color: $light;
        }

        &.progress-bar--silver
        {
            background-color: $silver;
        }

        &.progress-bar--mercury
        {
            background-color: $mercury;
        }

        &.progress-bar--stable
        {
            background-color: $stable;
        }

        &.progress-bar--stone
        {
            background-color: $stone;
        }

        &.progress-bar--positive
        {
            background-color: $positive;
        }

        &.progress-bar--calm
        {
            background-color: $calm;
        }

        &.progress-bar--balanced
        {
            background-color: $balanced;
        }

        &.progress-bar--energized
        {
            background-color: $energized;
        }

        &.progress-bar--assertive
        {
            background-color: $assertive;
        }

        &.progress-bar--royal
        {
            background-color: $royal;
        }
    }